diff --git a/storage/xtradb/handler/ha_innodb.cc b/storage/xtradb/handler/ha_innodb.cc
index f3b1167..6b1942e 100644
--- a/storage/xtradb/handler/ha_innodb.cc
+++ b/storage/xtradb/handler/ha_innodb.cc
@@ -11349,7 +11349,7 @@ static __attribute__((nonnull, warn_unused_result))
 
 	/* Do not use DATA DIRECTORY with TEMPORARY TABLE. */
 	if (create_info->data_file_name
-	    && create_info->options & HA_LEX_CREATE_TMP_TABLE) {
+	    && create_info->tmp_table()) {
 		push_warning(
 			thd, Sql_condition::WARN_LEVEL_WARN,
 			ER_ILLEGAL_HA_CREATE_OPTION,
@@ -11444,7 +11444,7 @@ static __attribute__((nonnull, warn_unused_result))
 
 	if (use_tablespace
 	    && !mysqld_embedded
-	    && !(create_info->options & HA_LEX_CREATE_TMP_TABLE)) {
+	    && !create_info->tmp_table()) {
 
 		if ((name[1] == ':')
 		    || (name[0] == '\\' && name[1] == '\\')) {
@@ -11462,7 +11462,7 @@ static __attribute__((nonnull, warn_unused_result))
 	In the case of;
 	  CREATE TEMPORARY TABLE ... DATA DIRECTORY={path} ... ;
 	We ignore the DATA DIRECTORY. */
-	if (create_info->options & HA_LEX_CREATE_TMP_TABLE) {
+	if (create_info->tmp_table()) {
 		strncpy(temp_path, name, FN_REFLEN - 1);
 	}
 
@@ -11480,7 +11480,7 @@ static __attribute__((nonnull, warn_unused_result))
 		}
 
 		/* Do not use DATA DIRECTORY with TEMPORARY TABLE. */
-		if (create_info->options & HA_LEX_CREATE_TMP_TABLE) {
+		if (create_info->tmp_table()) {
 			push_warning(
 				thd, Sql_condition::WARN_LEVEL_WARN,
 				ER_ILLEGAL_HA_CREATE_OPTION,
@@ -11552,7 +11552,7 @@ static __attribute__((nonnull, warn_unused_result))
 
 			/* We don't support FTS indexes in temporary
 			tables. */
-			if (create_info->options & HA_LEX_CREATE_TMP_TABLE) {
+			if (create_info->tmp_table()) {
 
 				my_error(ER_INNODB_NO_FT_TEMP_TABLE, MYF(0));
 				DBUG_RETURN(false);
@@ -11728,7 +11728,7 @@ static __attribute__((nonnull, warn_unused_result))
 
 	use_data_dir = use_tablespace
 		       && ((create_info->data_file_name != NULL)
-		       && !(create_info->options & HA_LEX_CREATE_TMP_TABLE));
+		       && !create_info->tmp_table());
 
 	/* Set up table dictionary flags */
 	dict_tf_set(flags,
@@ -11740,7 +11740,7 @@ static __attribute__((nonnull, warn_unused_result))
 		        default_compression_level : options->page_compression_level,
 		    options->atomic_writes);
 
-	if (create_info->options & HA_LEX_CREATE_TMP_TABLE) {
+	if (create_info->tmp_table()) {
 		*flags2 |= DICT_TF2_TEMPORARY;
 	}
 
@@ -12104,7 +12104,7 @@ static __attribute__((nonnull, warn_unused_result))
 	if (stmt) {
 		dberr_t	err = row_table_add_foreign_constraints(
 			trx, stmt, stmt_len, norm_name,
-			create_info->options & HA_LEX_CREATE_TMP_TABLE);
+			create_info->tmp_table());
 
 		switch (err) {
 
